Products
List all products
Get a paginated list of all products in your website. Optionally filter by category or product name.
GET
/
products
List all products
curl --request GET \
--url https://{domain}/api/site/products \
--header 'Authorization: Bearer <token>' \
--header 'User-Agent: <api-key>'import requests
url = "https://{domain}/api/site/products"
headers = {
"Authorization": "Bearer <token>",
"User-Agent": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'User-Agent': '<api-key>'}
};
fetch('https://{domain}/api/site/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{domain}/api/site/products",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"User-Agent: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{domain}/api/site/products"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("User-Agent", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{domain}/api/site/products")
.header("Authorization", "Bearer <token>")
.header("User-Agent", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{domain}/api/site/products")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["User-Agent"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"totalCount": 1,
"limit": 25,
"skip": 0,
"items": [
{
"id": 111,
"type": "physical",
"title": "Interior Door",
"description": "<string>",
"url": "interior-door",
"hidden": true,
"images": [
"https://path-to-image.jpg",
"https://path-to-another-image.jpg"
],
"categories": [
{
"id": 1,
"name": "Doors",
"url": "doors",
"parentCategory": 0
}
],
"options": [
{
"name": "Material",
"values": [
"Wood",
"Glass"
],
"advanced": true
}
],
"variants": [
{
"options": [
"Wood",
"Single"
],
"price": 199,
"onSale": true,
"regularPrice": 123,
"salePrice": 123,
"quantity": 123,
"sku": "D-001",
"weight": 123
}
],
"subscription": {
"cycles": 123,
"period": 123,
"periodUnit": "WEEKLY"
},
"file": "<string>"
}
]
}Authorizations
Pass your API key as: Authorization: Bearer <API KEY>.
Client identifier sent with requests from the documentation playground.
Query Parameters
List only products in the specified category (includes all products in the subcategories, if any).
Example:
12
List only products containing the specified string in their title.
Example:
"shirt"
A limit on the number of objects to be returned. Between 1 and 50.
Required range:
1 <= x <= 50Example:
25
The number of items to skip (offset). Defaults to 0, i.e. the first page.
Required range:
x >= 0Example:
25
Response
200 - application/json
A paginated list of products.
Last modified on September 2, 2026
Was this page helpful?
⌘I
List all products
curl --request GET \
--url https://{domain}/api/site/products \
--header 'Authorization: Bearer <token>' \
--header 'User-Agent: <api-key>'import requests
url = "https://{domain}/api/site/products"
headers = {
"Authorization": "Bearer <token>",
"User-Agent": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'User-Agent': '<api-key>'}
};
fetch('https://{domain}/api/site/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{domain}/api/site/products",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"User-Agent: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{domain}/api/site/products"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("User-Agent", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{domain}/api/site/products")
.header("Authorization", "Bearer <token>")
.header("User-Agent", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{domain}/api/site/products")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["User-Agent"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"totalCount": 1,
"limit": 25,
"skip": 0,
"items": [
{
"id": 111,
"type": "physical",
"title": "Interior Door",
"description": "<string>",
"url": "interior-door",
"hidden": true,
"images": [
"https://path-to-image.jpg",
"https://path-to-another-image.jpg"
],
"categories": [
{
"id": 1,
"name": "Doors",
"url": "doors",
"parentCategory": 0
}
],
"options": [
{
"name": "Material",
"values": [
"Wood",
"Glass"
],
"advanced": true
}
],
"variants": [
{
"options": [
"Wood",
"Single"
],
"price": 199,
"onSale": true,
"regularPrice": 123,
"salePrice": 123,
"quantity": 123,
"sku": "D-001",
"weight": 123
}
],
"subscription": {
"cycles": 123,
"period": 123,
"periodUnit": "WEEKLY"
},
"file": "<string>"
}
]
}
